/*
 * cmd.h - Simulation commands
 * 
 * Written 2002 by Werner Almesberger
 */


#ifndef CMD_H
#define CMD_H

#include <sys/time.h>


typedef enum { ct_time,ct_exec } COMMAND_TYPE;

typedef struct _command {
    COMMAND_TYPE type;
    union {
	const char **exec;
	struct timeval time;
    } u;
    struct _command *next;
} COMMAND;


extern COMMAND *commands;


COMMAND *alloc_cmd(COMMAND_TYPE type);

#endif /* CMD_H */
